VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::Cluster Interface Reference

The `Cluster` interface provides methods to manage clusters in the vCenter Server. More...

Inherited by vmware::vcenter::ClusterStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.vcenter.ClusterTypes.Summary > | List (vmware.vcenter.ClusterTypes.FilterSpec filter)
| Returns information about at most 1000 visible (subject to permission checks) clusters in vCenter matching the Cluster.FilterSpec .
global::System.Collections.Generic.List < vmware.vcenter.ClusterTypes.Summary > | List (vmware.vcenter.ClusterTypes.FilterSpec filter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about at most 1000 visible (subject to permission checks) clusters in vCenter matching the Cluster.FilterSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ClusterTypes.Summary > > | ListAsync (vmware.vcenter.ClusterTypes.FilterSpec filter)
| Returns information about at most 1000 visible (subject to permission checks) clusters in vCenter matching the Cluster.FilterSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ClusterTypes.Summary > > | ListAsync (vmware.vcenter.ClusterTypes.FilterSpec filter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about at most 1000 visible (subject to permission checks) clusters in vCenter matching the Cluster.FilterSpec .
vmware.vcenter.ClusterTypes.Info | Get (string cluster)
| Retrieves information about the cluster corresponding to cluster .
vmware.vcenter.ClusterTypes.Info | Get (string cluster, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the cluster corresponding to cluster .
global::System.Threading.Tasks.Task < vmware.vcenter.ClusterTypes.Info > | GetAsync (string cluster)
| Retrieves information about the cluster corresponding to cluster .
global::System.Threading.Tasks.Task < vmware.vcenter.ClusterTypes.Info > | GetAsync (string cluster, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the cluster corresponding to cluster .

## Detailed Description

The `Cluster` interface provides methods to manage clusters in the vCenter Server.

## Member Function Documentation

vmware.vcenter.ClusterTypes.Info vmware::vcenter::Cluster::Get | ( | string | cluster | ) |

Retrieves information about the cluster corresponding to cluster .

Exceptions:

  vmware.vapi.std.errors.NotFound | if there is no cluster associated with cluster in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't not have the required privileges.

Parameters:

  cluster | Identifier of the cluster. The parameter must be an identifier for the resource type: `ClusterComputeResource` .

Returns:
  The Cluster.Info instances that corresponds to the cluster .

Implemented in vmware::vcenter::ClusterStub.

vmware.vcenter.ClusterTypes.Info vmware::vcenter::Cluster::Get | ( | string | cluster,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the cluster corresponding to cluster .

Exceptions:

  vmware.vapi.std.errors.NotFound | if there is no cluster associated with cluster in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't not have the required privileges.

Parameters:

  cluster | Identifier of the cluster. The parameter must be an identifier for the resource type: `ClusterComputeResource` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The Cluster.Info instances that corresponds to the cluster .

Implemented in vmware::vcenter::ClusterStub.

global::System.Threading.Tasks.Task<vmware.vcenter.ClusterTypes.Info> vmware::vcenter::Cluster::GetAsync | ( | string | cluster,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the cluster corresponding to cluster .

Exceptions:

  vmware.vapi.std.errors.NotFound | if there is no cluster associated with cluster in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't not have the required privileges.

Parameters:

  cluster | Identifier of the cluster. The parameter must be an identifier for the resource type: `ClusterComputeResource` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The Cluster.Info instances that corresponds to the cluster .

Implemented in vmware::vcenter::ClusterStub.

global::System.Threading.Tasks.Task<vmware.vcenter.ClusterTypes.Info> vmware::vcenter::Cluster::GetAsync | ( | string | cluster | ) |

Retrieves information about the cluster corresponding to cluster .

Exceptions:

  vmware.vapi.std.errors.NotFound | if there is no cluster associated with cluster in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the session id is missing from the request or the corresponding session object cannot be found.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't not have the required privileges.

Parameters:

  cluster | Identifier of the cluster. The parameter must be an identifier for the resource type: `ClusterComputeResource` .

Returns:
  The Cluster.Info instances that corresponds to the cluster .

Implemented in vmware::vcenter::ClusterStub.

global::System.Collections.Generic.List<vmware.vcenter.ClusterTypes.Summary> vmware::vcenter::Cluster::List | ( | vmware.vcenter.ClusterTypes.FilterSpec | filter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about at most 1000 visible (subject to permission checks) clusters in vCenter matching the Cluster.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 clusters match the Cluster.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching clusters for which information should be returned. If null, the behavior is equivalent to a Cluster.FilterSpec with all fields null which means all clusters match the filter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Commonly used information about the clusters matching the Cluster.FilterSpec .

Implemented in vmware::vcenter::ClusterStub.

global::System.Collections.Generic.List<vmware.vcenter.ClusterTypes.Summary> vmware::vcenter::Cluster::List | ( | vmware.vcenter.ClusterTypes.FilterSpec | filter | ) |

Returns information about at most 1000 visible (subject to permission checks) clusters in vCenter matching the Cluster.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 clusters match the Cluster.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching clusters for which information should be returned. If null, the behavior is equivalent to a Cluster.FilterSpec with all fields null which means all clusters match the filter.

Returns:
  Commonly used information about the clusters matching the Cluster.FilterSpec .

Implemented in vmware::vcenter::ClusterStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ClusterTypes.Summary> > vmware::vcenter::Cluster::ListAsync | ( | vmware.vcenter.ClusterTypes.FilterSpec | filter | ) |

Returns information about at most 1000 visible (subject to permission checks) clusters in vCenter matching the Cluster.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 clusters match the Cluster.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching clusters for which information should be returned. If null, the behavior is equivalent to a Cluster.FilterSpec with all fields null which means all clusters match the filter.

Returns:
  Commonly used information about the clusters matching the Cluster.FilterSpec .

Implemented in vmware::vcenter::ClusterStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ClusterTypes.Summary> > vmware::vcenter::Cluster::ListAsync | ( | vmware.vcenter.ClusterTypes.FilterSpec | filter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about at most 1000 visible (subject to permission checks) clusters in vCenter matching the Cluster.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 clusters match the Cluster.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching clusters for which information should be returned. If null, the behavior is equivalent to a Cluster.FilterSpec with all fields null which means all clusters match the filter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Commonly used information about the clusters matching the Cluster.FilterSpec .

Implemented in vmware::vcenter::ClusterStub.

The documentation for this interface was generated from the following file:

- Cluster.cs